import 'package:flutter/material.dart';
import 'package:auto_route/auto_route.dart';
import 'package:hooks_riverpod/hooks_riverpod.dart';
import 'package:router/ext/auto_router_extensions.dart';

import '../../../router/page/services_page_router.dart';
import '../../services/vm/services_view_model.dart';

@RoutePage()
class ServicesPage extends HookConsumerWidget {
  const ServicesPage({Key? key}) : super(key: key);

  //启动当前页面
  static void startInstance({BuildContext? context}) {
    if (context != null) {
      context.router.push(const ServicesPageRoute());
    } else {
      appRouter.push(const ServicesPageRoute());
    }
  }

  @override
  Widget build(BuildContext context, WidgetRef ref) {
    final _viewModel = ref.read(servicesViewModelProvider.notifier);

    return Scaffold(
      appBar: AppBar(title: Text("广告服务")),
      body: Center(
        child: Text("广告服务的主页面"),
      ),
    );
  }
}
